from api import DatumType
from framework import read, where, to_tuple


@read
def get_base_datums(type: DatumType = None, crncy=None, risk=None, fund_ids=None):
    kwargs = {
        'rbd_id': to_tuple(fund_ids),
        'v_rbd_type': type,
        'v_rbd_crncy': crncy,
        'v_rbd_risk': risk
    }
    return f'''select rbd_id as id, rbd_datas as datas from robo_base_datum {where(**kwargs)}'''
